import request from "@/utils/request";
import { System_BaseUrl } from "@/api/config";
const baseURL = System_BaseUrl + "/admin/sysParams";

const ParamsApi = {
  getList(data: getListRequest) {
    return request<any>({
      url: `${baseURL}/type/0`,
      method: "get",
      params: data
    });
  },
  get() {

  },
  add(data: addRequest) {
    return request<any>({
      url: `${baseURL}`,
      method: "post",
      data,
    });
  },
  edit(data: editRequest) {
    return request<any>({
      url: `${baseURL}`,
      method: "put",
      data,
    });
  },
  delete() {

  },
};

export default ParamsApi;

export interface getListRequest {
  type: string;
  [property: string]: any;
}

export interface addRequest {
  /**
   * 参数编码-系统唯一
   */
  paramCode: string;
  /**
   * 参数类型：，0：系统参数   1：非系统参数
   */
  paramType: number;
  /**
   * 参数值
   */
  paramValue: string;
  /**
   * 备注
   */
  remark?: string;
  [property: string]: any;
}
export interface editRequest {
  /**
   * 参数编码-系统唯一
   */
  paramCode: string;
  /**
   * 参数类型，0：系统参数   1：非系统参数
   */
  paramType: number;
  /**
   * 参数值
   */
  paramValue: string;
  /**
   * 备注
   */
  remark?: string;
  [property: string]: any;
}